Update payment settings for Sequence account
curl --request PUT \
--url https://eu.sequencehq.com/api/payments/settings/{id} \
--header 'Content-Type: application/json' \
--data '
{
"failureNotifications": {
"merchantNotifications": "DO_NOT_SEND_NOTIFICATIONS",
"customerNotifications": "DO_NOT_SEND_NOTIFICATIONS"
}
}
'import requests
url = "https://eu.sequencehq.com/api/payments/settings/{id}"
payload = { "failureNotifications": {
"merchantNotifications": "DO_NOT_SEND_NOTIFICATIONS",
"customerNotifications": "DO_NOT_SEND_NOTIFICATIONS"
} }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
failureNotifications: {
merchantNotifications: 'DO_NOT_SEND_NOTIFICATIONS',
customerNotifications: 'DO_NOT_SEND_NOTIFICATIONS'
}
})
};
fetch('https://eu.sequencehq.com/api/payments/settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e095e00f-36af-44c9-8c53-3e25677ce8ce",
"failureNotifications": {
"merchantNotifications": "SEND_NOTIFICATIONS",
"customerNotifications": "SEND_NOTIFICATIONS"
}
}This response has no body data.This response has no body data.This response has no body data.Account Settings
Update payment settings for Sequence account
Updates payment settings for the current Sequence accounts.
PUT
/
payments
/
settings
/
{id}
Update payment settings for Sequence account
Headers
Use this header to select an API version
Available options:
2024-07-30 Path Parameters
Account Payment Settings ID
Body
application/json
The failure notification settings for the account
Show child attributes
Show child attributes
Example:
{
"merchantNotifications": "SEND_NOTIFICATIONS",
"customerNotifications": "SEND_NOTIFICATIONS"
}
Response
OK
The ID of the account's payment settings
Example:
"e095e00f-36af-44c9-8c53-3e25677ce8ce"
The failure notification settings for the account
Show child attributes
Show child attributes
Example:
{
"merchantNotifications": "SEND_NOTIFICATIONS",
"customerNotifications": "SEND_NOTIFICATIONS"
}
⌘I